Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.eventusermodel
Interface HSSFListener

All Known Implementing Classes:
  AbortableHSSFListener

public interface HSSFListener

Interface for use with the HSSFRequest and HSSFEventFactory. Users should create a listener supporting this interface and register it with the HSSFRequest (associating it with Record SID's).

Author:
  acoliver@apache.org
See Also:
  `org.apache.poi.hssf.eventmodel.HSSFEventFactory`, `org.apache.poi.hssf.eventmodel.HSSFRequest`

Method Summary
`void` | `processRecord(Record record)` process an HSSF Record.

Method Detail

### processRecord

    public void processRecord(Record record)

  process an HSSF Record. Called when a record occurs in an HSSF file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.